System · API
Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.
GET /status
Erreichbarkeit prüfen (ohne Token)
Authentifizierung: diese Operation erfordert laut Export kein Bearer-Token
Erforderliche Routen-Scopes: keine deklariert
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"status",
"version"
],
"properties": {
"status": {
"type": "string",
"enum": [
"ok"
]
},
"version": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Erreichbarkeit prüfen (ohne Token)",
"tags": [
"System"
],
"security": [],
"x-required-scopes": [],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"status",
"version"
],
"properties": {
"status": {
"type": "string",
"enum": [
"ok"
]
},
"version": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/version
Versionen von App, API und Datenbank
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: keine deklariert
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"app_version",
"api_version",
"db_version"
],
"properties": {
"app_version": {
"type": "string"
},
"api_version": {
"type": "integer"
},
"db_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Versionen von App, API und Datenbank",
"tags": [
"System"
],
"x-required-scopes": [],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"app_version",
"api_version",
"db_version"
],
"properties": {
"app_version": {
"type": "string"
},
"api_version": {
"type": "integer"
},
"db_version": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/system/status
Zustand des Core
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: keine deklariert
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"mode",
"reason",
"warnings",
"data_root",
"store_id",
"disk",
"disk_free_bytes",
"db_version",
"vault",
"api"
],
"properties": {
"mode": {
"type": "string"
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"data_root": {
"type": "string"
},
"store_id": {
"type": "string"
},
"disk": {
"type": "string"
},
"disk_free_bytes": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"db_version": {
"type": "integer"
},
"vault": {
"type": "object",
"required": [
"state",
"reason"
],
"properties": {
"state": {
"type": "string"
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
}
},
"api": {
"type": "object",
"required": [
"url",
"port"
],
"properties": {
"url": {
"type": "string"
},
"port": {
"type": "integer"
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Zustand des Core",
"tags": [
"System"
],
"x-required-scopes": [],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"mode",
"reason",
"warnings",
"data_root",
"store_id",
"disk",
"disk_free_bytes",
"db_version",
"vault",
"api"
],
"properties": {
"mode": {
"type": "string"
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"warnings": {
"type": "array",
"items": {
"type": "string"
}
},
"data_root": {
"type": "string"
},
"store_id": {
"type": "string"
},
"disk": {
"type": "string"
},
"disk_free_bytes": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"db_version": {
"type": "integer"
},
"vault": {
"type": "object",
"required": [
"state",
"reason"
],
"properties": {
"state": {
"type": "string"
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
}
},
"api": {
"type": "object",
"required": [
"url",
"port"
],
"properties": {
"url": {
"type": "string"
},
"port": {
"type": "integer"
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/system/logs
Vorhandene technische Protokolldateien auflisten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: audit:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"stream",
"file",
"size",
"modified_at"
],
"properties": {
"stream": {
"anyOf": [
{
"type": "string",
"enum": [
"core"
]
},
{
"type": "string",
"enum": [
"api"
]
},
{
"type": "string",
"enum": [
"jobs"
]
},
{
"type": "string",
"enum": [
"kernel"
]
},
{
"type": "string",
"enum": [
"relay"
]
}
]
},
"file": {
"type": "string"
},
"size": {
"type": "integer"
},
"modified_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Vorhandene technische Protokolldateien auflisten",
"tags": [
"System"
],
"x-required-scopes": [
"audit:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"stream",
"file",
"size",
"modified_at"
],
"properties": {
"stream": {
"anyOf": [
{
"type": "string",
"enum": [
"core"
]
},
{
"type": "string",
"enum": [
"api"
]
},
{
"type": "string",
"enum": [
"jobs"
]
},
{
"type": "string",
"enum": [
"kernel"
]
},
{
"type": "string",
"enum": [
"relay"
]
}
]
},
"file": {
"type": "string"
},
"size": {
"type": "integer"
},
"modified_at": {
"type": "integer"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/system/logs/{stream}/{file}
Bereinigten Auszug einer technischen Protokolldatei lesen (maximal 256 KiB und 1.000 Zeilen)
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: audit:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
stream | path | Ja | |
file | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"anyOf": [
{
"type": "string",
"enum": [
"core"
]
},
{
"type": "string",
"enum": [
"api"
]
},
{
"type": "string",
"enum": [
"jobs"
]
},
{
"type": "string",
"enum": [
"kernel"
]
},
{
"type": "string",
"enum": [
"relay"
]
}
]
},
"in": "path",
"name": "stream",
"required": true
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 155,
"pattern": "^[a-zA-Z0-9][a-zA-Z0-9._-]{0,150}\\.log$"
},
"example": "core.log",
"in": "path",
"name": "file",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"stream",
"file",
"size",
"modified_at",
"text",
"lines",
"truncated"
],
"properties": {
"stream": {
"anyOf": [
{
"type": "string",
"enum": [
"core"
]
},
{
"type": "string",
"enum": [
"api"
]
},
{
"type": "string",
"enum": [
"jobs"
]
},
{
"type": "string",
"enum": [
"kernel"
]
},
{
"type": "string",
"enum": [
"relay"
]
}
]
},
"file": {
"type": "string"
},
"size": {
"type": "integer"
},
"modified_at": {
"type": "integer"
},
"text": {
"type": "string"
},
"lines": {
"type": "integer"
},
"truncated": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Bereinigten Auszug einer technischen Protokolldatei lesen (maximal 256 KiB und 1.000 Zeilen)",
"tags": [
"System"
],
"parameters": [
{
"schema": {
"anyOf": [
{
"type": "string",
"enum": [
"core"
]
},
{
"type": "string",
"enum": [
"api"
]
},
{
"type": "string",
"enum": [
"jobs"
]
},
{
"type": "string",
"enum": [
"kernel"
]
},
{
"type": "string",
"enum": [
"relay"
]
}
]
},
"in": "path",
"name": "stream",
"required": true
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 155,
"pattern": "^[a-zA-Z0-9][a-zA-Z0-9._-]{0,150}\\.log$"
},
"example": "core.log",
"in": "path",
"name": "file",
"required": true
}
],
"x-required-scopes": [
"audit:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"stream",
"file",
"size",
"modified_at",
"text",
"lines",
"truncated"
],
"properties": {
"stream": {
"anyOf": [
{
"type": "string",
"enum": [
"core"
]
},
{
"type": "string",
"enum": [
"api"
]
},
{
"type": "string",
"enum": [
"jobs"
]
},
{
"type": "string",
"enum": [
"kernel"
]
},
{
"type": "string",
"enum": [
"relay"
]
}
]
},
"file": {
"type": "string"
},
"size": {
"type": "integer"
},
"modified_at": {
"type": "integer"
},
"text": {
"type": "string"
},
"lines": {
"type": "integer"
},
"truncated": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/settings/logs
Aufbewahrung der Protokolldateien von Programm und Browser-Kernen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: keine deklariert
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"retention_days",
"kernel_retention_days"
],
"properties": {
"retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
},
"kernel_retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Aufbewahrung der Protokolldateien von Programm und Browser-Kernen",
"tags": [
"System"
],
"x-required-scopes": [],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"retention_days",
"kernel_retention_days"
],
"properties": {
"retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
},
"kernel_retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/settings/logs
Aufbewahrung der Protokolldateien ändern (1–365 Tage); ältere Dateien entfernt der tägliche Aufräumlauf
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: settings:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
Keine Pfad- oder Query-Parameter deklariert.
Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
},
"kernel_retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"retention_days",
"kernel_retention_days"
],
"properties": {
"retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
},
"kernel_retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Aufbewahrung der Protokolldateien ändern (1–365 Tage); ältere Dateien entfernt der tägliche Aufräumlauf",
"tags": [
"System"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
},
"kernel_retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
}
},
"additionalProperties": false
}
}
}
},
"x-required-scopes": [
"settings:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"retention_days",
"kernel_retention_days"
],
"properties": {
"retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
},
"kernel_retention_days": {
"type": "integer",
"minimum": 1,
"maximum": 365
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}